/*
 
Copyright (C) 2004-2005  Stichting Mathematisch Centrum,
                         Amsterdam, The Netherlands
 
*/
 
/**
 * Interface for passing log messages and fatal errors.
 *
 * @author Stefan Blom
 * @version 1.0
 */
interface Reporter {

/**
 * Add a message to the log.
 */
  public void Log(String message);

/**
 * Add a message regarding a fatal error to the log.
 * TODO: decide if this method should return or not and then
 * reflect the decision in the implmentation.
 */
  public void Fatal(String message);

}

