/*
 
Copyright (C) 2004-2005  Stichting Mathematisch Centrum,
                         Amsterdam, The Netherlands
 
*/


/**
 * Interface of a timer unit.
 *
 * @author Stefan Blom
 * @version 1.0
 */
public interface TimedUnit {
/**
 * Notification of time progression.
 */
  public void tick();
/**
 * Notification of start of activity.
 */
  public void next();
}
